;;########################## BEGIN GPL LICENSE BLOCK #############################
;;    This file is part of Area51Raid.
;;
;;    Area51Raid is free software: you can redistribute it and/or modify
;;    it under the terms of the GNU General Public License as published by
;;    the Free Software Foundation, either version 3 of the License, or
;;    (at your option) any later version.
;;
;;    Area51Raid is distributed in the hope that it will be useful,
;;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;    GNU General Public License for more details.
;;
;;    You should have received a copy of the GNU General Public License
;;    along with Area51Raid.  If not, see <https://www.gnu.org/licenses/>.
;;
;;    Developed for the CPCRetrodev contest 2019 edition.
;;
;;    Developers                           Contact
;;    = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
;;    Aguirre Ivorra, Antonio              antoni.aguirre@gmail.com
;;    López Gutiérrez, Juan Carlos         juancarlos.logut@gmail.com
;;    Pérez Ponsoda, Jorge Amil            j.a.perez.ponsoda@gmail.com
;;
;;########################### END GPL LICENSE BLOCK #############################


.macro DefineComponentArrayStructure _Tname, _N, _DefineTypeMacroDefault
    _Tname'_num:    .db 0
    _Tname'_pend:   .dw _Tname'_array
    _Tname'_array:
    .rept _N
        _DefineTypeMacroDefault
    .endm
.endm

.macro DefineComponentArrayStructure_Size _Tname, _N, _ComponentSize
    _Tname'_num:    .db 0
    _Tname'_pend:   .dw _Tname'_array
    _Tname'_array:
        .ds _N * _ComponentSize
.endm

.macro DefineComponentPointerArrayStructure_Size _Tname, _N
    _Tname'_ptr_pend:    .dw _Tname'_ptr_array
    _Tname'_ptr_array:
    .rept _N
        .dw 0x0000
    .endm
.endm

;; TODO DefineComponentPointersTable VER "man/components.h.s"
