;;########################## BEGIN GPL LICENSE BLOCK #############################
;;    This file is part of Area51Raid.
;;
;;    Area51Raid is free software: you can redistribute it and/or modify
;;    it under the terms of the GNU General Public License as published by
;;    the Free Software Foundation, either version 3 of the License, or
;;    (at your option) any later version.
;;
;;    Area51Raid is distributed in the hope that it will be useful,
;;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;    GNU General Public License for more details.
;;
;;    You should have received a copy of the GNU General Public License
;;    along with Area51Raid.  If not, see <https://www.gnu.org/licenses/>.
;;
;;    Developed for the CPCRetrodev contest 2019 edition.
;;
;;    Developers                           Contact
;;    = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
;;    Aguirre Ivorra, Antonio              antoni.aguirre@gmail.com
;;    López Gutiérrez, Juan Carlos         juancarlos.logut@gmail.com
;;    Pérez Ponsoda, Jorge Amil            j.a.perez.ponsoda@gmail.com
;;
;;########################### END GPL LICENSE BLOCK #############################


;;
;; MENU MANAGER
;;

.globl start_menu_man
.globl win_menu_man
.globl gamo_menu_man

end_str == #-1
;;
;;;; ############################
;;;; # Menu de inicio del juego #
;;;; ############################
;;
;;start_msg_0: .asciz "Menu"
;;start_msg_1: .asciz "Enter to start!"
;;
;;start_menu_array:
;;  .dw 0x0001                    ;; Color
;;  .db 32, 32                    ;; Coordenadas del string
;;  .dw start_msg_0               ;; Puntero al string
;;  .db 10, 120                   ;; Coordenadas de ostro string
;;  .dw start_msg_1               ;; Untero al segundo string
;;  .db end_str                   ;; Final de la estructura
;;  .dw start_menu_array_erase    ;; Puntero al array de borrado
;;
;;start_menu_array_erase:
;;  .db 32, 32
;;  .db  0, 16,  8
;;  .db 10, 120
;;  .db  0, 60,  8
;;  .db end_str
;;  
;;
;;;; #############################
;;;; # Menu de derrota del juego #
;;;; #############################
;;
;;gamo_msg_0: .asciz "Game Over"
;;gamo_msg_1: .asciz "Enter to replay"
;;gamo_msg_2: .asciz "Esc to go menu"
;;
;;gamo_menu_array:
;;  .dw 0x0105
;;  .db 22, 32
;;  .dw gamo_msg_0
;;  .db 10, 120
;;  .dw gamo_msg_1
;;  .db 12, 160
;;  .dw gamo_msg_2
;;  .db end_str
;;  .dw gamo_win_menu_array_erase
;;
;;;; ##############################
;;;; # Menu de victoria del juego #
;;;; ##############################
;;
;;win_msg_0: .asciz "You Win!!"
;;win_msg_1: .asciz "Enter to replay"
;;win_msg_2: .asciz "Esc to go menu"
;;
;;win_menu_array:
;;  .dw 0x0003
;;  .db 22, 32
;;  .dw win_msg_0
;;  .db 10, 120
;;  .dw win_msg_1
;;  .db 12, 160
;;  .dw win_msg_2
;;  .db end_str
;;  .dw gamo_win_menu_array_erase
;;
;;gamo_win_menu_array_erase:
;;  .db 22, 32
;;  .db  0, 36,  8
;;  .db 10, 120
;;  .db  0, 60,  8
;;  .db  8, 160
;;  .db  0, 64,  8
;;  .db end_str;;