;;########################## BEGIN GPL LICENSE BLOCK #############################
;;    This file is part of Area51Raid.
;;
;;    Area51Raid is free software: you can redistribute it and/or modify
;;    it under the terms of the GNU General Public License as published by
;;    the Free Software Foundation, either version 3 of the License, or
;;    (at your option) any later version.
;;
;;    Area51Raid is distributed in the hope that it will be useful,
;;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;    GNU General Public License for more details.
;;
;;    You should have received a copy of the GNU General Public License
;;    along with Area51Raid.  If not, see <https://www.gnu.org/licenses/>.
;;
;;    Developed for the CPCRetrodev contest 2019 edition.
;;
;;    Developers                           Contact
;;    = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
;;    Aguirre Ivorra, Antonio              antoni.aguirre@gmail.com
;;    López Gutiérrez, Juan Carlos         juancarlos.logut@gmail.com
;;    Pérez Ponsoda, Jorge Amil            j.a.perez.ponsoda@gmail.com
;;
;;########################### END GPL LICENSE BLOCK #############################

;;
;;  RENDER SYSTEM HEADER
;;

.globl render_sys_init
.globl render_sys_update
.globl init_render_sys_update

.globl draw_background
.globl clear_screen

;;.globl render_sys_draw_menu
;;.globl render_sys_remove_menu
;;.globl set_array_to_remove

.globl switchBuffers

.globl set_background

decompress_buffer       =   0x15F

levelmaxsize_0          =   0x1018
levelmaxsize_1          =   0xC30

decompress_buffer_end_0 =   decompress_buffer + levelmaxsize_0 - 1
decompress_buffer_end_1 =   decompress_buffer + levelmaxsize_1 - 1

tileset_ptr             =   decompress_buffer + 3000   ;;_level00_pack_OFF_001
tileset_ptr_2           =   decompress_buffer + 2000
tilemap_ptr             =   decompress_buffer + 0   ;;_level00_pack_OFF_001
map_1                   =   #tilemap_ptr        ;; 1
map_2                   =   #tilemap_ptr + 20
map_3                   =   #tilemap_ptr + 1000
map_4                   =   #tilemap_ptr + 1020
map_5                   =   #tilemap_ptr + 2000
map_6                   =   #tilemap_ptr + 2020 