;;########################## BEGIN GPL LICENSE BLOCK #############################
;;    This file is part of Area51Raid.
;;
;;    Area51Raid is free software: you can redistribute it and/or modify
;;    it under the terms of the GNU General Public License as published by
;;    the Free Software Foundation, either version 3 of the License, or
;;    (at your option) any later version.
;;
;;    Area51Raid is distributed in the hope that it will be useful,
;;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;    GNU General Public License for more details.
;;
;;    You should have received a copy of the GNU General Public License
;;    along with Area51Raid.  If not, see <https://www.gnu.org/licenses/>.
;;
;;    Developed for the CPCRetrodev contest 2019 edition.
;;
;;    Developers                           Contact
;;    = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
;;    Aguirre Ivorra, Antonio              antoni.aguirre@gmail.com
;;    López Gutiérrez, Juan Carlos         juancarlos.logut@gmail.com
;;    Pérez Ponsoda, Jorge Amil            j.a.perez.ponsoda@gmail.com
;;
;;########################### END GPL LICENSE BLOCK #############################

;;
;;  CPCTELERA HEADER FOR FUNCTIONS
;;

.globl cpct_disableFirmware_asm

.globl cpct_waitVSYNC_asm

;; Keyboard functions

.globl cpct_scanKeyboard_if_asm
.globl cpct_isAnyKeyPressed_f_asm       ;; [192] -> renta si se escanean >=3 teclas teclas a cada iteración
.globl cpct_isKeyPressed_asm            ;; [68]

;; Video mode functions

.globl cpct_setVideoMode_asm
.globl cpct_setPalette_asm

;; Draw functions

.globl cpct_setVideoMemoryPage_asm

.globl cpct_getScreenPtr_asm
.globl cpct_drawSolidBox_asm
.globl cpct_drawSprite_asm
.globl cpct_setBlendMode_asm
.globl cpct_drawSpriteBlended_asm
.globl cpct_setDrawCharM0_asm
.globl cpct_drawStringM0_asm

;; Music functions
.globl cpct_akp_musicInit_asm
.globl cpct_akp_musicPlay_asm
.globl cpct_drawTileAligned4x8_f_asm
